Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I asked a question a few days back, on how to run an older version of matplotlib and I got an amazing answer back.

What I had to do was to execute these commands:

mkdir matplotlib_1.1.1
cd matplotlib_1.1.1
virtualenv env
env/bin/pip install numpy
env/bin/pip install https://pypi.python.org/packages/source/m/matplotlib/matplotlib-1.1.1.tar.gz

and then execute :

source env/bin/activate

I have executed the aformentioned commands. However, in order to run my python program I also need to install at the virtualenv the scipy as well. When trying to run env/bin/pip install scipy

I get the following errors:

env/bin/pip run on Fri Jul 11 15:25:09 2014
Downloading/unpacking scipy
  Getting page https://pypi.python.org/simple/scipy/
  URLs to search for versions for scipy:
  * https://pypi.python.org/simple/scipy/
  Analyzing links from page https://pypi.python.org/simple/scipy/
    Skipping https://pypi.python.org/packages/2.7/s/scipy/scipy-0.13.3-cp27-none-macosx_10_6_intel.whl#md5=4bc791c9f37645380cab2843e63d18db (from https://pypi.python.org/simple/scipy/) because it is not compatible with this Python
    Skipping https://pypi.python.org/packages/3.3/s/scipy/scipy-0.13.3-cp33-cp33m-macosx_10_6_intel.whl#md5=ca634955b1757fe5e22c6a8a035bb328 (from https://pypi.python.org/simple/scipy/) because it is not compatible with this Python
    Skipping https://pypi.python.org/packages/3.4/s/scipy/scipy-0.13.3-cp34-cp34m-macosx_10_6_intel.whl#md5=0042a2e09d1632b47ed4fdb411cf9821 (from https://pypi.python.org/simple/scipy/) because it is not compatible with this Python
    Skipping https://pypi.python.org/packages/cp27/s/scipy/scipy-0.14.0-cp27-none-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.whl#md5=d3728a6d43c3265003db3781cbd4660f (from https://pypi.python.org/simple/scipy/) because it is not compatible with this Python
    Skipping https://pypi.python.org/packages/cp33/s/scipy/scipy-0.14.0-cp33-cp33m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.whl#md5=0ff3c20cb8e9c5c38e5a18cda3178ca7 (from https://pypi.python.org/simple/scipy/) because it is not compatible with this Python
    Skipping https://pypi.python.org/packages/cp34/s/scipy/scipy-0.14.0-cp34-cp34m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.whl#md5=de679794f46812c784845835371539f4 (from https://pypi.python.org/simple/scipy/) because it is not compatible with this Python
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.10.0.tar.gz#md5=e357c08425fd031dce63bc4905789088 (from https://pypi.python.org/simple/scipy/), version: 0.10.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.10.0.zip#md5=d1a4242266739433dcfe2096b0ab4007 (from https://pypi.python.org/simple/scipy/), version: 0.10.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.10.1.tar.gz#md5=6ad976549e22e04ca93e70cf55b70a22 (from https://pypi.python.org/simple/scipy/), version: 0.10.1
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.10.1.zip#md5=4156cc1b765eb186de9518a94b6c3518 (from https://pypi.python.org/simple/scipy/), version: 0.10.1
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.11.0.tar.gz#md5=842c81d35fd63579c41a8ca21a2419b9 (from https://pypi.python.org/simple/scipy/), version: 0.11.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.11.0.zip#md5=40b700ddde9ddab643b640fff7a9d753 (from https://pypi.python.org/simple/scipy/), version: 0.11.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.12.0.tar.gz#md5=8fb4da324649f655e8557ea92b998786 (from https://pypi.python.org/simple/scipy/), version: 0.12.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.12.0.zip#md5=e4b9f3cb2e965fc8751faedfb9164d08 (from https://pypi.python.org/simple/scipy/), version: 0.12.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.12.1.tar.gz#md5=906278290152fedfe79029371ca584a5 (from https://pypi.python.org/simple/scipy/), version: 0.12.1
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.12.1.zip#md5=3f23065fc45152c92c3588dad2f20c62 (from https://pypi.python.org/simple/scipy/), version: 0.12.1
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.0.tar.gz#md5=ffa1e9bfd2bbdf3f17f4cf8139084098 (from https://pypi.python.org/simple/scipy/), version: 0.13.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.0.zip#md5=bd588ce8255e4d5427b5b19e9da2d4c7 (from https://pypi.python.org/simple/scipy/), version: 0.13.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.1.tar.gz#md5=e082fe358a2b39cff235e5af4240f5a5 (from https://pypi.python.org/simple/scipy/), version: 0.13.1
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.1.zip#md5=485411032b02583b4eb63caec6f2a916 (from https://pypi.python.org/simple/scipy/), version: 0.13.1
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.2.tar.gz#md5=fcd110802b0bf3505ba567cf831566e1 (from https://pypi.python.org/simple/scipy/), version: 0.13.2
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.2.zip#md5=9befa30e546fba762a0c1695a509f731 (from https://pypi.python.org/simple/scipy/), version: 0.13.2
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.3.tar.gz#md5=0547c1f8e8afad4009cc9b5ef17a2d4d (from https://pypi.python.org/simple/scipy/), version: 0.13.3
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.13.3.zip#md5=20ff3a867cc5925ef1d654aed2ff7e88 (from https://pypi.python.org/simple/scipy/), version: 0.13.3
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.14.0.tar.gz#md5=d7c7f4ccf8b07b08d6fe49d5cd51f85d (from https://pypi.python.org/simple/scipy/), version: 0.14.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.14.0.zip#md5=7ee4fa9e756bab6b46b79f77c821cb68 (from https://pypi.python.org/simple/scipy/), version: 0.14.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.8.0.tar.gz#md5=f0bfc6141b90e6a31555b31486602251 (from https://pypi.python.org/simple/scipy/), version: 0.8.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.9.0.tar.gz#md5=ebfef6e8e82d15c875a4ee6a46d4e1cd (from https://pypi.python.org/simple/scipy/), version: 0.9.0
    Found link https://pypi.python.org/packages/source/s/scipy/scipy-0.9.0.zip#md5=a37933c9e3c4fdf8d087624cd7dcb47d (from https://pypi.python.org/simple/scipy/), version: 0.9.0
  Using version 0.14.0 (newest of versions: 0.14.0, 0.14.0, 0.13.3, 0.13.3, 0.13.2, 0.13.2, 0.13.1, 0.13.1, 0.13.0, 0.13.0, 0.12.1, 0.12.1, 0.12.0, 0.12.0, 0.11.0, 0.11.0, 0.10.1, 0.10.1, 0.10.0, 0.10.0, 0.9.0, 0.9.0, 0.8.0)
  Downloading from URL https://pypi.python.org/packages/source/s/scipy/scipy-0.14.0.tar.gz#md5=d7c7f4ccf8b07b08d6fe49d5cd51f85d (from https://pypi.python.org/simple/scipy/)
  Running setup.py (path:/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py) egg_info for package scipy
    running egg_info
    creating pip-egg-info/scipy.egg-info
    writing dependency_links to pip-egg-info/scipy.egg-info/dependency_links.txt
    writing pip-egg-info/scipy.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/scipy.egg-info/top_level.txt
    writing manifest file 'pip-egg-info/scipy.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found

    reading manifest file 'pip-egg-info/scipy.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no previously-included files matching '*_subr_*.f' found under directory 'scipy/linalg/src/id_dist/src'
    no previously-included directories found matching 'scipy/special/tests/data/boost'
    no previously-included directories found matching 'scipy/special/tests/data/gsl'
    no previously-included directories found matching 'doc/build'
    no previously-included directories found matching 'doc/source/generated'
    no previously-included directories found matching '*/__pycache__'
    warning: no previously-included files matching '*~' found anywhere in distribution
    warning: no previously-included files matching '*.bak' found anywhere in distribution
    warning: no previously-included files matching '*.swp' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    writing manifest file 'pip-egg-info/scipy.egg-info/SOURCES.txt'
  Source in ./env/build/scipy has version 0.14.0, which satisfies requirement scipy
Installing collected packages: scipy
  Running setup.py install for scipy
    Running command /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/bin/python -c "import setuptools, tokenize;__file__='/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-USo4F_-record/install-record.txt --single-version-externally-managed --compile --install-headers /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/include/site/python2.7
    blas_opt_info:
    blas_mkl_info:
      libraries mkl,vml,guide not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']
      NOT AVAILABLE

    openblas_info:
      libraries  not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']
      NOT AVAILABLE

    atlas_blas_threads_info:
    Setting PTATLAS=ATLAS
      libraries ptf77blas,ptcblas,atlas not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']
      NOT AVAILABLE

    atlas_blas_info:
      libraries f77blas,cblas,atlas not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']
      NOT AVAILABLE

    /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1521: UserWarning:
        Atlas (http://math-atlas.sourceforge.net/) libraries not found.
        Directories to search for the libraries can be specified in the
        numpy/distutils/site.cfg file (section [atlas]) or by setting
        the ATLAS environment variable.
      warnings.warn(AtlasNotFoundError.__doc__)
    blas_info:
      libraries blas not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']
      NOT AVAILABLE

    /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1530: UserWarning:
        Blas (http://www.netlib.org/blas/) libraries not found.
        Directories to search for the libraries can be specified in the
        numpy/distutils/site.cfg file (section [blas]) or by setting
        the BLAS environment variable.
      warnings.warn(BlasNotFoundError.__doc__)
    blas_src_info:
      NOT AVAILABLE

    /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1533: UserWarning:
        Blas (http://www.netlib.org/blas/) sources not found.
        Directories to search for the sources can be specified in the
        numpy/distutils/site.cfg file (section [blas_src]) or by setting
        the BLAS_SRC environment variable.
      warnings.warn(BlasSrcNotFoundError.__doc__)
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py", line 237, in <module>
        setup_package()
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py", line 234, in setup_package
        setup(**metadata)
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/core.py", line 135, in setup
        config = configuration()
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py", line 173, in configuration
        config.add_subpackage('scipy')
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage
        caller_level = 2)
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage
        caller_level = caller_level + 1)
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py
        config = setup_module.configuration(*args)
      File "scipy/setup.py", line 12, in configuration
        config.add_subpackage('integrate')
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage
        caller_level = 2)
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage
        caller_level = caller_level + 1)
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py
        config = setup_module.configuration(*args)
      File "scipy/integrate/setup.py", line 12, in configuration
        blas_opt = get_info('blas_opt',notfound_action=2)
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 350, in get_info
        return cl().get_info(notfound_action)
      File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 509, in get_info
        raise self.notfounderror(self.notfounderror.__doc__)
    numpy.distutils.system_info.BlasNotFoundError:
        Blas (http://www.netlib.org/blas/) libraries not found.
        Directories to search for the libraries can be specified in the
        numpy/distutils/site.cfg file (section [blas]) or by setting
        the BLAS environment variable.
    Complete output from command /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/bin/python -c "import setuptools, tokenize;__file__='/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-USo4F_-record/install-record.txt --single-version-externally-managed --compile --install-headers /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/include/site/python2.7:
    blas_opt_info:

blas_mkl_info:

  libraries mkl,vml,guide not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']

  NOT AVAILABLE



openblas_info:

  libraries  not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']

  NOT AVAILABLE



atlas_blas_threads_info:

Setting PTATLAS=ATLAS

  libraries ptf77blas,ptcblas,atlas not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']

  NOT AVAILABLE



atlas_blas_info:

  libraries f77blas,cblas,atlas not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']

  NOT AVAILABLE



/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1521: UserWarning:

    Atlas (http://math-atlas.sourceforge.net/) libraries not found.

    Directories to search for the libraries can be specified in the

    numpy/distutils/site.cfg file (section [atlas]) or by setting

    the ATLAS environment variable.

  warnings.warn(AtlasNotFoundError.__doc__)

blas_info:

  libraries blas not found in ['/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/lib', '/usr/local/lib', '/usr/lib', '/usr/lib/x86_64-linux-gnu']

  NOT AVAILABLE



/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1530: UserWarning:

    Blas (http://www.netlib.org/blas/) libraries not found.

    Directories to search for the libraries can be specified in the

    numpy/distutils/site.cfg file (section [blas]) or by setting

    the BLAS environment variable.

  warnings.warn(BlasNotFoundError.__doc__)

blas_src_info:

  NOT AVAILABLE



/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py:1533: UserWarning:

    Blas (http://www.netlib.org/blas/) sources not found.

    Directories to search for the sources can be specified in the

    numpy/distutils/site.cfg file (section [blas_src]) or by setting

    the BLAS_SRC environment variable.

  warnings.warn(BlasSrcNotFoundError.__doc__)

Traceback (most recent call last):

  File "<string>", line 1, in <module>

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py", line 237, in <module>

    setup_package()

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py", line 234, in setup_package

    setup(**metadata)

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/core.py", line 135, in setup

    config = configuration()

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py", line 173, in configuration

    config.add_subpackage('scipy')

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage

    caller_level = 2)

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage

    caller_level = caller_level + 1)

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py

    config = setup_module.configuration(*args)

  File "scipy/setup.py", line 12, in configuration

    config.add_subpackage('integrate')

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 966, in add_subpackage

    caller_level = 2)

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 935, in get_subpackage

    caller_level = caller_level + 1)

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/misc_util.py", line 872, in _get_configuration_from_setup_py

    config = setup_module.configuration(*args)

  File "scipy/integrate/setup.py", line 12, in configuration

    blas_opt = get_info('blas_opt',notfound_action=2)

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 350, in get_info

    return cl().get_info(notfound_action)

  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/numpy/distutils/system_info.py", line 509, in get_info

    raise self.notfounderror(self.notfounderror.__doc__)

numpy.distutils.system_info.BlasNotFoundError:

    Blas (http://www.netlib.org/blas/) libraries not found.

    Directories to search for the libraries can be specified in the

    numpy/distutils/site.cfg file (section [blas]) or by setting

    the BLAS environment variable.

----------------------------------------
Cleaning up...
  Removing temporary dir /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build...
Command /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/bin/python -c "import setuptools, tokenize;__file__='/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-USo4F_-record/install-record.txt --single-version-externally-managed --compile --install-headers /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/include/site/python2.7 failed with error code 1 in /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy
Exception information:
Traceback (most recent call last):
  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/pip/commands/install.py", line 283, in run
    requirement_set.install(install_options, global_options, root=options.root_path)
  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/pip/req.py", line 1435, in install
    requirement.install(install_options, global_options, *args, **kwargs)
  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/pip/req.py", line 706, in install
    cwd=self.source_dir, filter_stdout=self._filter_install, show_stdout=False)
  File "/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/local/lib/python2.7/site-packages/pip/util.py", line 697, in call_subprocess
    % (command_desc, proc.returncode, cwd))
InstallationError: Command /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/bin/python -c "import setuptools, tokenize;__file__='/home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-USo4F_-record/install-record.txt --single-version-externally-managed --compile --install-headers /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/include/site/python2.7 failed with error code 1 in /home/user/Dropbox/THESIS/matplotlib_1.1.1/env/build/scipy

So, how can I install that Scipy on virtualenv?

share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.